org.appng.appngizer.model

## Class Database

- java.lang.Object
- - org.appng.appngizer.model.xml.Linkable
  - - org.appng.appngizer.model.xml.Database
    - - org.appng.appngizer.model.Database

- All Implemented Interfaces:
    UriAware

      public class Database
      extends Database
      implements UriAware

- - ### Field Summary

    - ### Fields inherited from class org.appng.appngizer.model.xml.Database

      `dbVersion, driver, id, managed, ok, password, size, type, url, user, versions`

    - ### Fields inherited from class org.appng.appngizer.model.xml.Linkable

      `links, self`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Database()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `applyChanges(Database database, DatabaseConnection dbc)`
    `static Database` | `fromDomain(DatabaseConnection dbc, org.flywaydb.core.api.MigrationInfoService status, String salt)`
    `static Database` | `fromDomain(DatabaseConnection dbc, org.flywaydb.core.api.MigrationInfoService status, String salt, boolean withManagedState)`

    - ### Methods inherited from class org.appng.appngizer.model.xml.Database

      `getDbVersion, getDriver, getId, getPassword, getSize, getType, getUrl, getUser, getVersions, isManaged, isOk, setDbVersion, setDriver, setId, setManaged, setOk, setPassword, setSize, setType, setUrl, setUser, setVersions`

    - ### Methods inherited from class org.appng.appngizer.model.xml.Linkable

      `getLinks, getSelf, setLinks, setSelf`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.appng.appngizer.model.UriAware

      `addLink, applyUriComponents, encode, getLinks, getSelf, setLinks, setSelf`

- - ### Constructor Detail

    - #### Database

          public Database()

  - ### Method Detail

    - #### fromDomain

          public static Database fromDomain(DatabaseConnection dbc,
                                            org.flywaydb.core.api.MigrationInfoService status,
                                            String salt)

    - #### fromDomain

          public static Database fromDomain(DatabaseConnection dbc,
                                            org.flywaydb.core.api.MigrationInfoService status,
                                            String salt,
                                            boolean withManagedState)

    - #### applyChanges

          public static void applyChanges(Database database,
                                          DatabaseConnection dbc)

Copyright © 2011–2023 aiticon GmbH. All rights reserved.